Page MenuHomeFreeBSD

Improve the handbook section about leaf/automatic packages
ClosedPublic

Authored by public_fzwte.net on Dec 10 2018, 10:53 AM.

Details

Summary

This is a patch to improve the handbook section about leaf/automatic packages.

It includes how to list the prime (non automatic) packages, and how to mark a package as automatic or as non automatic.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bcr added a subscriber: bcr.Dec 10 2018, 11:32 AM

A few suggestions. Overall, I like the text and the addition to the handbook.

en_US.ISO8859-1/books/handbook/ports/chapter.xml
647 ↗(On Diff #51807)

There should be a dash between "Non" and "automatic".

672 ↗(On Diff #51807)

There is a sentence stop missing here.

677 ↗(On Diff #51807)

This <screen> tag should be indented on the same level as the <para>'s above and below.

683 ↗(On Diff #51807)

You could use emphasis tags here instead of capitalizing the "NOT" here.

public_fzwte.net marked 3 inline comments as done.
bcr added a comment.Dec 20 2018, 8:06 PM

OK, thanks for these fixes. Can you run textproc/igor over your changes and see if they report anything? If not, I can commit it.
Thanks.

I had to double-check i.e vs. eg., and found that it scans, so it looks good to me.

ygy accepted this revision as: ygy.Dec 21 2018, 6:16 AM
ygy added a subscriber: ygy.

LGTM.

This revision is now accepted and ready to land.Dec 21 2018, 6:16 AM
This revision was automatically updated to reflect the committed changes.